/**
 * SO, 2010 - Lab 2, Simple I/O
 * Task #2, Linux
 *
 * Full length read/write 
 */


#ifndef XFILE__
#define XFILE__

#include <unistd.h>

/**
 * Reads maximum count bytes from file pointed by fd. It exits if:
 *	* counts bytes have been read or the end of file was reached
 * 	   * returns the total number of bytes read
 *	* an error occurred
 *         * returns -1
 */
ssize_t xread(int fd, void* buf, size_t count);

/**
 * Writes count bytes into file pointed by fd. It exits if:
 *	* count bytes have been written
 *		* returns count
 * 	* an error occurred
 * 		* return -1
 */
ssize_t xwrite(int fd, const void *buf, size_t count);

#endif
