/**
 * SO, 2010 - Lab 2, Simple I/O
 * Task #2, Windows
 *
 * Full length read/write 
 */


#ifndef XFILE__
#define XFILE__

#include <windows.h>

/**
 * Reads maximum count bytes from file pointed by file handle. It exits if:
 *	* counts bytes were read or the end of file was reached
 * 	   * returns TRUE and stores the total number of bytes read into bytesRead
 *	* an error occurred
 *         * returns FALSE and bytesRead is undefined
 */
BOOL xReadFile(HANDLE file, void* buf, DWORD count, LPDWORD bytesRead);




/**
 * Writes count bytes into file pointed by file handle. It exits if:
 *	* count bytes were written
 *		* returns TRUE
 * 	* an error occurred
 * 		* returns FALSE
 */
BOOL xWriteFile(HANDLE file, void* buf, DWORD count);


#endif
