/**
 * SO, 2010 - Lab #2, Simple I/O
 * Task #4, Windows
 *
 * Standard output/error redirection
 */

#include <stdio.h>
#include <stdlib.h>

int io_redirect(const char *fout, const char *ferr) 
{
	FILE *newstream;

	freopen_s(&newstream, fout, "a", stdout);
	freopen_s(&newstream, ferr, "a", stderr);
	
	return 0;
}

int main(void)
{
	int ret;

	ret = io_redirect("out", "err");
	
	if (ret < 0) {
		perror("io_redirect");
		exit(EXIT_FAILURE);
	}
	
	fprintf(stdout, "Lab #2 ");
	fprintf(stderr, "SO :)\n");

	return 0;
}
