/** 
 * SO, 2010 - Lab #2, Simple I/O
 * Task #1, Linux
 *
 * Reading a character from a specified position 
 */

/** 
 * checkout the manual for the include files
 */
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>

static int pos[] = 
{ 
	100, 200, 300, 400, 500, 600, 700, 800, 900, 
	1000, 1100, 1200, 1300, 1400, 1500, 1600, 1700, 1800, 1900,
	2000, 2100, 2200, 2300, 2400, 2500, 2600, 2700, 2800, 2900,
	3000, 3100, 3200, 3300  
};

int main(void)
{
	int fd, i, ret;
	char c;
	int pos_size = sizeof(pos) / sizeof(pos[0]);
	
	fd = open("quotes.txt", O_RDWR);
	if (fd < 0) {
		perror("open");
		exit(EXIT_FAILURE);
	}
	
	for (i = 0;i < pos_size; i++) {
		lseek(fd, pos[i], SEEK_SET);
		ret = read(fd, &c, 1);
		if (ret < 0) {
			perror("read");
			exit(EXIT_FAILURE);
		}
		ret = write(1, &c, 1);
		if (ret < 0) {
			perror("write");
			exit(EXIT_FAILURE);
		}
	}
	close(fd);
	return EXIT_SUCCESS;
}
