/**
 * SO, 2010 - Lab 2, Simple I/O
 * Task #2, Windows
 *
 * Full length read/write 
 */

#include "xfile.h"

#include <stdio.h>

/**
 *  TODO: Fill in xread implementation according to specification from xfile.h
 */
BOOL xReadFile(HANDLE file, void* buf, DWORD count, LPDWORD bytesRead) {
	size_t bytes_read = 0;
	
	*bytesRead = 0;
	while (1) {
		if (ReadFile(file,
			buf,
			count,
			&bytes_read,
			NULL) == FALSE) {
				fprintf(stderr, "Error reading file %d\n", GetLastError());
				return FALSE;
		}

		*bytesRead += bytes_read;
		count -= bytes_read;
		if (count == 0)
			return TRUE;
		if (bytes_read == 0)
			return TRUE;
	}

	return TRUE;
}

/**
 *TODO: Fill in xwrite implementation according to specification from xfile.h
 */
BOOL xWriteFile(HANDLE file, void* buf, DWORD count) {
	size_t bytes_written = 0;
	
	while (1) {
		if (WriteFile(file,
			buf,
			count,
			&bytes_written,
			NULL) == FALSE) {
				fprintf(stderr, "Error reading file %d\n", GetLastError());
				return FALSE;
		}

		count -= bytes_written;
		if (count == 0)
			return TRUE;
	}

	return TRUE;
}